com.trendmicro.ds.appcontrol.rest.object.drift

## Enum Action

- java.lang.Object
- - java.lang.Enum<Action>
  - - com.trendmicro.ds.appcontrol.rest.object.drift.Action

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Action>

      public enum Action
      extends java.lang.Enum<Action>

  An action that can be performed on a drift item or collection of drift items.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW`
    `BLOCK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Action` | `fromValue(java.lang.String value)`
    `java.lang.String` | `toString()`
    `static Action` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW

          public static final Action ALLOW

    - #### BLOCK

          public static final Action BLOCK

  - ### Method Detail

    - #### values

          public static Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Action c : Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Action valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Action>`

    - #### fromValue

          public static Action fromValue(java.lang.String value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.